package com.dxhy.core.service.mailGather;

import com.dxhy.core.model.mailGather.EmailMaintainVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EmailMaintainService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    List<EmailMaintainVo> queryAll();

    /**
     * 分页查询
     *
     * @param pramsMap 筛选条件
     * @return 查询结果
     */
    String queryByPage(Map<String, Object> pramsMap);

    /**
     * 新增数据
     *
     * @param emailMaintain 实例对象
     * @return 实例对象
     */
    boolean insert(EmailMaintainVo emailMaintain);

    /**
     * 修改数据
     *
     * @param emailMaintain 实例对象
     * @return 实例对象
     */
    boolean update(EmailMaintainVo emailMaintain);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

    String getUserName(String userCode);
    String getUserByUsername(String username);

    int insertBatch(List<EmailMaintainVo> entities);

    int selectByEmail(String email);

    EmailMaintainVo getEmailMaintainVo(EmailMaintainVo emailMaintain);
}
